﻿// Copyright 2009-2011 Oliver Sturm <oliver@sturmnet.org> All rights reserved. 

namespace Helpers

open System

module Output = 
    let banner (s:string) = 
        let sep = new String('-', s.Length + 1)
        Console.WriteLine(sep)
        Console.WriteLine(s)
        Console.WriteLine(sep)
    
    let outputOption (o: 'a option) = 
        match o with 
        | Some(v) -> printfn "Some(%A)" v
        | None -> printfn "None"